Update daily record (PUT)
curl --request PUT \
--url https://api.onvy.health/users/{user_id}/daily_records/{type}/{day}/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "<string>",
"project_id": "<string>",
"date": "2023-12-25",
"name": "<string>",
"type": "<string>",
"value": 50,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"providers": [],
"ref": "<string>"
}
'import requests
url = "https://api.onvy.health/users/{user_id}/daily_records/{type}/{day}/{name}"
payload = {
"user_id": "<string>",
"project_id": "<string>",
"date": "2023-12-25",
"name": "<string>",
"type": "<string>",
"value": 50,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"providers": [],
"ref": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '<string>',
project_id: '<string>',
date: '2023-12-25',
name: '<string>',
type: '<string>',
value: 50,
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
providers: [],
ref: '<string>'
})
};
fetch('https://api.onvy.health/users/{user_id}/daily_records/{type}/{day}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user_id": "<string>",
"project_id": "<string>",
"date": "2023-12-25",
"name": "<string>",
"type": "<string>",
"value": 50,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"providers": [
"GARMIN"
],
"ref": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}daily-records
Update daily record (PUT)
Fully update a daily record
PUT
/
users
/
{user_id}
/
daily_records
/
{type}
/
{day}
/
{name}
Update daily record (PUT)
Authorizations
OAuth bearer token for Health API authentication
Path Parameters
User ID (e.g., google_104940819145861640201)
Record type (scores, zones, or logs)
Available options:
scores, zones, logs Date (YYYY-MM-DD)
Record name (e.g., ActivityScore)
Body
application/json
Complete daily record data
- DailyRecordScore
- DailyRecordZone
- DailyRecordHabitLog
Score name
Score value (0-100)
Required range:
0 <= x <= 100Available options:
GARMIN, APPLE, OURA, FITBIT, WHOOP Optional reference to source data
Response
Daily record updated successfully
- DailyRecordScore
- DailyRecordZone
- DailyRecordHabitLog
Score name
Score value (0-100)
Required range:
0 <= x <= 100Available options:
GARMIN, APPLE, OURA, FITBIT, WHOOP Optional reference to source data
Was this page helpful?